Bug 105359 - RFE: better ugid32 syscalls support
Summary: RFE: better ugid32 syscalls support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: strace (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-25 13:43 UTC by Dmitry V. Levin
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-14 22:16:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (8.38 KB, patch)
2003-09-25 13:44 UTC, Dmitry V. Levin
no flags Details | Diff
getresuid.c (177 bytes, text/x-csrc)
2003-11-07 11:54 UTC, Dmitry V. Levin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:294 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-12-19 05:00:00 UTC
Red Hat Product Errata RHBA-2003:361 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-11-18 05:00:00 UTC

Description Dmitry V. Levin 2003-09-25 13:43:45 UTC
Description of problem: 
Not all of ugid32 syscalls are displayed properly. 
 
Version-Release number of selected component (if applicable): 
4.4.99 
 
How reproducible: 
kernel-2.4.x or higher is required. 
 
Steps to Reproduce: 
1. 
$ gcc -Wall -Werror getresuid.c -o getresuid 
2. 
$ strace -e trace=getresuid32,setresuid32 ./getresuid 
3. 
$ strace -e trace=getgroups32 id >/dev/null 
 
Actual results: 
getresuid32(0xbffff8b4, 0xbffff8b0, 0xbffff8ac) = 0 
setresuid32(0xffffffff, 0xffffffff, 0xffffffff) = 0 
 
getgroups32(0, 0)                       = 15 
getgroups32(0xf, 0x804eda0)             = 15 
 
Expected results: 
getresuid32(ruid 501, euid 501, suid 501) = 0 
setresuid32(ruid -1, euid -1, suid -1)  = 0 
 
getgroups32(0, NULL)                    = 15 
getgroups32(15, [501, 10, 11, 14, 16, 19, 52, 53, 81, 56, 503, 504, 505, 506, 62]) = 15

Comment 1 Dmitry V. Levin 2003-09-25 13:44:24 UTC
Created attachment 94713 [details]
proposed patch

Comment 2 Roland McGrath 2003-11-07 02:28:56 UTC
You did not include the source file for your test case.
Please attach that.

Comment 3 Dmitry V. Levin 2003-11-07 11:54:12 UTC
Created attachment 95791 [details]
getresuid.c

Comment 4 Dmitry V. Levin 2003-11-07 12:15:15 UTC
The "id" program is standard utility from coreutils. 

Comment 5 Roland McGrath 2003-11-13 22:30:51 UTC
I've put your patch in with slight changes to make the output look
more like other strace output.  Thanks for the work.


Comment 6 Dmitry V. Levin 2003-12-14 22:16:54 UTC
It works in strace-4.5.1, thanks. 

Comment 7 John Flanagan 2003-12-19 17:57:56 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-294.html



Note You need to log in before you can comment on or make changes to this bug.